<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ym.mec.education.mapper.SysUserBankCardMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ym.mec.education.entity.SysUserBankCard">
        <id column="id_" property="id" />
        <result column="user_id_" property="userId" />
        <result column="is_default_" property="isDefault" />
        <result column="bank_name_" property="bankName" />
        <result column="bank_code_" property="bankCode" />
        <result column="card_no_" property="cardNo" />
        <result column="province_" property="province" />
        <result column="city_" property="city" />
        <result column="address" property="address" />
        <result column="status_" property="status" />
        <result column="create_on_" property="createOn" />
        <result column="modify_on_" property="modifyOn" />
        <result column="is_quick_" property="isQuick" />
        <result column="mobile_phone_" property="mobilePhone" />
        <result column="trans_no_" property="transNo" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id_, user_id_, is_default_, bank_name_, bank_code_, card_no_, province_, city_, address, status_, create_on_, modify_on_, is_quick_, mobile_phone_, trans_no_
    </sql>

</mapper>
